// components/My_paging/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        show: {
            type: Boolean
        },
        count: {
            type: Number
        },
        rightClick: {
            type: Function
        },
        lifeClick: {
            type: Function
        }
    },

    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {
        buttonRightClick() {
            this.triggerEvent('rightClick')
        },
        buttonLifeClick() {
            this.triggerEvent('lifeClick')
        }
    }
})